<?xml version="1.0" encoding="UTF-8" ?>
<jsp:root
	xmlns:jsp="http://java.sun.com/JSP/Page"
	xmlns:og="hybs-taglib.tld"
	version="2.0">
<jsp:directive.page language="java" contentType="text/html; charset=UTF-8" />

<og:head headType="result" useAjaxSubmit="true" />
<jsp:directive.include file="/jsp/custom/result_info.jsp" />

<og:comment
	system	= "GF:エンジンサンプル"
	pgid	= "GG0040"
	title	= "履歴ﾃｰﾌﾞﾙ"
	date	= "2021/03/25"
	author	= "K.HASEGAWA"
	text	= ""
	version	= "001"
/>

<!-- データが選ばれていなければエラー -->
<og:columnCheck command="{@command}" >
	<jsp:directive.include file="/jsp/common/history_back.jsp" />
</og:columnCheck>

<!-- forward.jsp から command がセットされて遷移してきます。-->
<!-- カラムに対して値をセットしない場合、ColumnSetTagは不要です。 -->
<og:entry command="{@command}" repeatCount="{@repeatCount}" >
	<og:columnSet command="COPY"       columnId="DY_HATU" action="SET"     value="{@DATE.YMDHMS}" />
	<og:columnSet command="{@command}" columnId="DY_HATU" action="NULLSET" value="{@DATE.YMDHMS}" />
	<og:columnSet command="{@command}" columnId="JUDG"    action="NULLSET" value="0" />
</og:entry>

<og:message command="{@command}" /><br />
<form method="POST" action="forward.jsp" target="RESULT">

	<!-- 登録、取消、リセットボタンと、EXCEL(CSV)変更リンクを作成します。 -->
	<!-- value属性+.jspの画面に制御が移ります。ただし、value="reset"のみ特殊で、result.jspに遷移します。 -->
	<!-- commandには value属性の値の大文字が設定されます。 command属性で設定しなおすことも出来ます。-->
	<og:writeCheck>
		<og:submit  action="ENTRY" />
		<og:submit  action="RESET" />
		<og:input type="reset"  name="command"  lbl="MSG0011"  td="false" />
	<br />
	</og:writeCheck>

	<!-- 入力画面を表示します。 -->
	<!-- columnWritable、または noWritable属性でカラムへの入力可／不可を指定します。 -->
	<og:view
		viewFormType	= "HTMLTable"
		command			= "{@command}"
		noDisplay 		= "UNIQ,USRSET,DYSET,USRUPD,DYUPD,{@extDisplay}"
		noWritable		= "{@noWritable}"
		columnWritable	= "{@columnWritable}"
		columnBulkSet	= "*"
		checked			= "{@checked}"
		startNo			= "{@startNo}"
		pageSize		= "{@pageSize}" />

	<og:hidden name="sqlType" defaultVal="{@command}" value="{@sqlType}" />
</form>

<jsp:directive.include file="/jsp/common/htmlend.jsp" />
</jsp:root>
