<?xml version="1.0" encoding="UTF-8" ?>
<jsp:root
	xmlns:jsp="http://java.sun.com/JSP/Page"
	xmlns:og="hybs-taglib.tld"
	version="2.0">

<jsp:directive.page language="java" contentType="text/html; charset=UTF-8" />

<og:head headType="result" />

<jsp:directive.include file="/jsp/custom/result_info.jsp" />
<og:comment
	system	= "GF:エンジンサンプル"
	pgid	= "GG0050"
	title	= "ﾃﾞｰﾀ登録"
	date	= "2021/03/25"
	author	= "K.HASEGAWA"
	text	= ""
	version	= "001"
/>
<!-- ワーニングメッセージです。ここでは、登録完了のメッセージを表示します。 -->
<og:errorMessage command="{@command}" clear="{@clear}" displayMsg="{@displayMsg}" />
<!-- 入力チェック -->
<og:columnCheck
	command   = "{@command}"
	columns   = "*"
/>

<!-- 取り消しボタンが押された時に必要です。 -->
<og:entry command="{@command}" />

<og:equals val1="{@SET_GRP}" nullCheck="true" notEquals="true" >
	<og:equals val1="{@SEL_KEY}" nullCheck="true" notEquals="true" >
		<og:equals val1="{@SET_GRP}" val2="{@SEL_KEY}" notEquals="true" useStop="true">
<og:text>{@LBL.SET_GRP}:[{@SET_GRP}] と {@LBL.SEL_KEY}:[{@SEL_KEY}] で選ばれた値が異なります。</og:text>
		</og:equals>
	</og:equals>
</og:equals>


<og:text>
<table>
	<tr>
		<td><b>{@LBL.EVENTNO}：</b></td><td>{@EVENTNO}</td><td width="20px"> </td>
		<td><b>{@LBL.DY_HATU}：</b></td><td>{@DY_HATU}</td><td width="20px"> </td>
		<td><b>{@LBL.SET_GRP}：</b></td><td>{@SET_GRP}{@SEL_KEY}</td>
	</tr>
</table>
</og:text>

<og:value command="SQL">
	select count(*) as CNT from GG10 where EVENTNO='{@EVENTNO}' and SET_GRP in ( '{@SET_GRP}','{@SEL_KEY}' ) and rownum=1
</og:value>

<!-- DB検索 SQL文記述 debug="true" でSQL文を確認できます。-->
<og:query command="{@command}" debug="{@debug}" maxRowCount="{@maxRowCount}" >
		select	case when {@CNT}='0' then '1' when B.JUDG is null then '0' else '1' end as WRITABLE	,
				'{@EVENTNO}' as EVENTNO	,
				'{@DY_HATU}' as DY_HATU	,
				COALESCE( B.SET_GRP	,A.SET_GRP	) as SET_GRP	,
				COALESCE( B.TOKEN	,A.TOKEN	) as TOKEN		,
				C.TKN_NM										,
				A.ROWNO											,
				A.COLNO											,
				A.COLSPAN										,
				A.ROWSPAN										,
				C.BIKO											,
				A.E_MIN											,
				A.W_MIN											,
				A.W_MAX											,
				A.E_MAX											,
				B.VAL , B.TANI , B.JUDG , B.RIYU				,
				B.UNIQ,B.FGJ,B.USRSET,B.DYSET,B.USRUPD,B.DYUPD
		from GG02 A left outer join GG10 B
				on  A.SET_GRP	= B.SET_GRP
				and A.TOKEN		= B.TOKEN
				and B.EVENTNO	= '{@EVENTNO}'
					left outer join GG01 C
					on A.TOKEN = C.TOKEN
		where A.SET_GRP in ( '{@SET_GRP}','{@SEL_KEY}' )
		and   A.FGJ		= '1'
		order by ROWNO,COLNO
</og:query>

<og:columnEditor columns="EVENTNO,DY_HATU,SET_GRP,TOKEN"	must="true" />
<og:columnEditor column="UNIQ"					must="true" />

<!-- formタグでリクエストフィールドを囲います。oneClick()関数は、２重押し防止JavaScriptです。 -->
<form method="POST" action="forward.jsp" target="RESULT" >
	<!-- 複写、変更、削除ボタンを作成します。value属性+.jspの画面に制御が移ります。 -->
	<!-- このとき、command=(value属性の値の大文字)が設定されます。 command属性で設定しなおすことも出来ます。-->
	<og:writeCheck>
		<og:submit  action="COPY"    noWritable="null"     caseKey="{@CNT}"	caseVal="0" />
		<og:submit  action="MODIFY"  columnWritable="VAL,TANI,JUDG,RIYU"	caseKey="{@CNT}" caseVal="1" />
		<og:submit  action="DELETE"  columnWritable="null" caseKey="{@CNT}"	caseVal="1" />
	<br />
	</og:writeCheck>

	<!-- DB検索結果を表示させます。 -->
	<!-- checked="true" で、チェック済みの状態で表示できます。 -->
	<!-- selectedType="checkbox(デフォルト)/radio/hidden" から、選べます。-->
	<og:view
		viewFormType = "HTMLTokenTable"
		command    = "{@command}"
		noDisplay  = "EVENTNO,DY_HATU,SET_GRP,UNIQ,USRSET,DYSET,USRUPD,DYUPD,{@extDisplay}"
		checked    = "{@checked}"
		startNo    = "{@startNo}"
		pageSize   = "{@pageSize}"
		useScrollBar = "false"
	/>

	<og:view
		viewFormType = "HTMLTable"
		command    = "{@command}"
		noDisplay  = "EVENTNO,DY_HATU,SET_GRP,UNIQ,USRSET,DYSET,USRUPD,DYUPD,{@extDisplay}"
		checked    = "{@checked}"
		startNo    = "{@startNo}"
		pageSize   = "{@pageSize}"
		useScrollBar = "false"
	/>
</form>

<jsp:directive.include file="/jsp/common/htmlend.jsp" />
</jsp:root>
